<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
/**
 * @var array $data
 *
 */

$post_id = $data['post_id'] ?? '';
$develuxsct_legend = $data['legend'] ?? '';
$develuxsct_key = $data['key'] ?? '';
$id = $data['id'] ?? '';
$develuxsct_class_name = $data['class_name'] ?? '';
$develuxsct_flex_direction = $data['flex_direction'] ?? 'col';
$develuxsct_items = $data['items'] ?? 'center';
$develuxsct_direct_value_checked = $data['data_direct_value_checked'] ?? '';
$develuxsct_direct_value_unchecked = $data['data_direct_value_unchecked'] ?? '';
$develuxsct_data_property = $data['data_property'] ?? '';
$develuxsct_data_target = $data['data_target'] ?? '';
$develuxsct_value = $data['value'] ?? '';
$develuxsct_default_value = $data['default_value'] ?? '';
$develuxsct_data_dimension_unit_type = $data['data_dimension_unit_type'] ?? '';
if ($develuxsct_value === '' && $post_id) {
    $develuxsct_value = get_post_meta($post_id, $develuxsct_key, true);
    if($develuxsct_value === '' || $develuxsct_value === null) {
        $develuxsct_value = $develuxsct_default_value;
    }
}
?>
<div class="develux-checkbox-container label-style flex flex-<?php echo esc_attr($develuxsct_flex_direction); ?> items-<?php echo esc_attr($develuxsct_items); ?> gap-5">
    <label for="<?php echo esc_attr($id); ?>"><?php echo esc_html($develuxsct_legend); ?></label>
    <input data-default-value="0" type="hidden" name="<?php echo esc_attr($develuxsct_key); ?>" value="0">
    <input data-target="<?php echo esc_attr($develuxsct_data_target); ?>"
           data-property="<?php echo esc_attr($develuxsct_data_property); ?>"
           data-direct-value-checked="<?php echo esc_attr($develuxsct_direct_value_checked); ?>"
           data-direct-value-unchecked="<?php echo esc_attr($develuxsct_direct_value_unchecked); ?>"
           data-unit="<?php echo esc_attr($develuxsct_data_dimension_unit_type); ?>"
           data-default-value="<?php echo esc_attr($develuxsct_default_value); ?>"
           type="checkbox"
           name="<?php echo esc_attr($develuxsct_key); ?>"
           class="<?php echo esc_attr($develuxsct_class_name); ?> develux-checkbox"
           id="<?php echo esc_attr($id); ?>"
           value="1" <?php checked( '1', esc_attr($develuxsct_value), true );?>/>
</div>